#!/bin/sh

# $FreeBSD: ports/databases/postgresql7/files/pgsql.sh.tmpl,v 1.15 2003/06/11 23:25:24 osa Exp $
#
# For postmaster startup options, edit $PGDATA/postgresql.conf
#
# Note that PGDATA is set in ~pgsql/.profile, don't try to manipulate it here!
#

PREFIX=/usr/local
PGBIN=${PREFIX}/bin
logfile=/var/log/pgsql

case $1 in
start)
    touch ${logfile}
    chmod 600 ${logfile}
    chown pgsql:pgsql ${logfile}
    [ -x ${PGBIN}/pg_ctl ] && {
	su -l pgsql -c \
	    "[ -d \${PGDATA} ] && exec ${PREFIX}/bin/pg_ctl start -s -w -l ${logfile}"
	echo -n ' pgsql'
    }
    ;;

stop)
    [ -x ${PGBIN}/pg_ctl ] && {
	su -l pgsql -c "exec ${PREFIX}/bin/pg_ctl stop -s -m fast"
	echo -n ' pgsql'
    }
    ;;

restart)
    [ -x ${PGBIN}/pg_ctl ] && {
	exec su -l pgsql -c "exec ${PREFIX}/bin/pg_ctl restart -s -m fast -l ${logfile}"
    }
    ;;

status)
    [ -x ${PGBIN}/pg_ctl ] && {
	exec su -l pgsql -c "exec ${PREFIX}/bin/pg_ctl status"
    }
    ;;

*)
    echo "usage: `basename $0` {start|stop|restart|status}" >&2
    exit 64
    ;;
esac
